JavaScript
import Finch from '@tryfinch/finch-api';
const client = new Finch({
accessToken: 'My Access Token',
});
const automateds = await client.jobs.automated.list();
console.log(automateds.data);from finch import Finch
client = Finch(
access_token="My Access Token",
)
automateds = client.jobs.automated.list()
print(automateds.data)package main
import (
"context"
"fmt"
"github.com/Finch-API/finch-api-go"
"github.com/Finch-API/finch-api-go/option"
)
func main() {
client := finchgo.NewClient(
option.WithAccessToken("My Access Token"),
)
automateds, err := client.Jobs.Automated.List(context.TODO(), finchgo.JobAutomatedListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", automateds.Data)
}package com.tryfinch.api.example;
import com.tryfinch.api.client.FinchClient;
import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
import com.tryfinch.api.models.AutomatedListResponse;
import com.tryfinch.api.models.JobAutomatedListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
FinchClient client = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build();
AutomatedListResponse automateds = client.jobs().automated().list();
}
}package com.tryfinch.api.example
import com.tryfinch.api.client.FinchClient
import com.tryfinch.api.client.okhttp.FinchOkHttpClient
import com.tryfinch.api.models.AutomatedListResponse
import com.tryfinch.api.models.JobAutomatedListParams
fun main() {
val client: FinchClient = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build()
val automateds: AutomatedListResponse = client.jobs().automated().list()
}require "finch_api"
finch = FinchAPI::Client.new(access_token: "My Access Token")
automateds = finch.jobs.automated.list
puts(automateds)curl --request GET \
--url https://api.tryfinch.com/jobs/automated \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--header 'Finch-API-Version: <finch-api-version>' \
--data '
{
"limit": 123,
"offset": 123
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryfinch.com/jobs/automated",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'limit' => 123,
'offset' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: <content-type>",
"Finch-API-Version: <finch-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"": {
"count": 10,
"offset": 0
},
"meta": {
"quotas": {
"data_sync_all": {
"allowed_refreshes": 2,
"remaining_refreshes": 2
}
}
},
"data": [
{
"job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
"job_url": "https://api.tryfinch.com/job/automated/453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
"type": "data_sync_all",
"status": "complete",
"created_at": "2019-08-24T14:15:22Z",
"scheduled_at": "2019-08-24T14:15:22Z",
"started_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z"
}
]
}Management
List All Automated Jobs
Get all automated jobs. Automated jobs are completed by a machine. By default, jobs are sorted in descending order by submission time. For scheduled jobs such as data syncs, only the next scheduled job is shown.
GET
/
jobs
/
automated
JavaScript
import Finch from '@tryfinch/finch-api';
const client = new Finch({
accessToken: 'My Access Token',
});
const automateds = await client.jobs.automated.list();
console.log(automateds.data);from finch import Finch
client = Finch(
access_token="My Access Token",
)
automateds = client.jobs.automated.list()
print(automateds.data)package main
import (
"context"
"fmt"
"github.com/Finch-API/finch-api-go"
"github.com/Finch-API/finch-api-go/option"
)
func main() {
client := finchgo.NewClient(
option.WithAccessToken("My Access Token"),
)
automateds, err := client.Jobs.Automated.List(context.TODO(), finchgo.JobAutomatedListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", automateds.Data)
}package com.tryfinch.api.example;
import com.tryfinch.api.client.FinchClient;
import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
import com.tryfinch.api.models.AutomatedListResponse;
import com.tryfinch.api.models.JobAutomatedListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
FinchClient client = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build();
AutomatedListResponse automateds = client.jobs().automated().list();
}
}package com.tryfinch.api.example
import com.tryfinch.api.client.FinchClient
import com.tryfinch.api.client.okhttp.FinchOkHttpClient
import com.tryfinch.api.models.AutomatedListResponse
import com.tryfinch.api.models.JobAutomatedListParams
fun main() {
val client: FinchClient = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build()
val automateds: AutomatedListResponse = client.jobs().automated().list()
}require "finch_api"
finch = FinchAPI::Client.new(access_token: "My Access Token")
automateds = finch.jobs.automated.list
puts(automateds)Authorizations
Please use your Access Token
Headers
Header used to specify the version for a given API request. Current version is 2020-09-17.
Pattern:
([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))Used to indicate the original media type of the resource
Body
application/json
Was this page helpful?
⌘I